## org.red5.server.stream
Interface ISeekableProvider

All Superinterfaces:
  IMessageComponent, IProvider

All Known Implementing Classes:
  FileProvider

    public interface ISeekableProvider

extends IProvider

Provider that is seekable

Field Summary
`static String` `KEY`

Method Summary
`int` `seek(int ts)` Seek the provider to timestamp ts (in milliseconds).

Methods inherited from interface org.red5.server.messaging.IMessageComponent
`onOOBControlMessage`

Field Detail

### KEY

    static final String KEY

Method Detail

### seek

    int seek(int ts)

  Seek the provider to timestamp ts (in milliseconds).

  Parameters:
    `ts` - Timestamp to seek to
  Returns:
    Actual timestamp seeked to

Copyright © 2006-2010 The Red5 Project